Package: org.codehaus.groovy.runtime.powerassert

## [Java] Class AssertionRenderer

- org.codehaus.groovy.runtime.powerassert.AssertionRenderer

-     public final class AssertionRenderer
      extends Object

  Creates a string representation of an assertion and its recorded values.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `render(String text, ValueRecorder recorder)` Creates a string representation of an assertion and its recorded values.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static String render(String text, ValueRecorder recorder)

      Creates a string representation of an assertion and its recorded values.

      Parameters:
        `text` - the assertion's source text
        `recorder` - a recorder holding the values recorded during evaluation of the assertion
      Returns:
        a string representation of the assertion and its recorded values